Debian Bug report logs - #687134
exabgp: Debconf abuse

version graph

Package: exabgp; Maintainer for exabgp is Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>; Source for exabgp is src:exabgp.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Mon, 10 Sep 2012 06:36:05 UTC

Severity: normal

Fixed in version exabgp/3.1.1-1

Done: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-i18n@lists.debian.org, Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
Bug#687134; Package exabgp. (Mon, 10 Sep 2012 06:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to debian-i18n@lists.debian.org, Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>. (Mon, 10 Sep 2012 06:36:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: exabgp: Debconf abuse
Date: Mon, 10 Sep 2012 07:48:23 +0200
Package: exabgp
Version: 3.0.10-1
Severity: normal

The debconf note introduced in the last version of this package is
debconf abuse.

Please do not interrupt packages installations to display notices
about changes in software behaviour. These notices belong to
NEWS.Debian.

See debconf-devel(7) for a good rationale about why Debconf notes are
generally considered annoying and should be avoided.

To Debian translators : as the debconf note in the exabgp package
should be removed, please do not work on its translation.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information stored :
Bug#687134; Package exabgp. (Fri, 28 Dec 2012 06:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 28 Dec 2012 06:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 687134-quiet@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: exabgp@packages.debian.org, debian-i18n@lists.debian.org
Cc: 687134-quiet@bugs.debian.org
Subject: Intent to NMU exabgp to fix pending po-debconf l10n bugs (indeed debconf abuse)
Date: Fri, 28 Dec 2012 07:18:43 +0100
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The exabgp Debian package, which you are the maintainer of, has
pending bug report(s) which include translation updates or fixes
for po-debconf, namely bug number 687134 (and maybe other similar bugs).

This bug is not an l10n bug per se, but, being a debconf abuse (and a
very clear) one, it affects l10n.

So, sorry for this, but the radar beeped at your package and here am I
with an NMU intent...:-)

I have the intention, as part of a more general action of the Debian
i18n Task Force to build and possibly upload a non-maintainer upload
for exabgp in order to fix this.

In short, by removing the debconf use and move information to a newly
created NEWS.Debian file.

Of course, an upload made by you would even be better...:-)

Such changes are always harmless, which explains why I safely consider
building NMUs for such issues even though they're obviously non critical.

The schedule for the NMU (in case it happens, that is if you agree with it
or if I don't receive any answer in 2 days) is roughly the following:

 Friday, December 28, 2012   : send this notice
 Tuesday, January 01, 2013       : post a NMU announcement to debian-i18n with you
                 (maintainer) CC'ed
                 this can happen earlier if the maintainer agrees
                 In such case, the deadlines below will also
                 happen earlier
 Wednesday, January 09, 2013       : (midnight) deadline for receiving translation updates
 Thursday, January 10, 2013       : build the package and upload it to DELAYED/7-day
                 send the NMU patch to the BTS
 Thursday, January 17, 2013       : NMU reaches incoming

If you intent to upload yourself, please notify me so that I interrupt
the process on my side. Please also don't upload without a discussion
with me. Some translators might send a few new translations and I can handle
a round of translation updates for you. Really, don't upload silently...:-)

In case I upload an NMU, I will subscribe to the Package Tracking System for
exabgp and follow its life for 60 days after my NMU in order to fix
any issue potentially introduced by my upload.

Let me know, as soon as possible, if you have any kind of objection to this
process.

If you'd rather do the fix yourself, I will of course leave the package
alone. Same if you have reasons not to do the update now.

-- 


[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#687134; Package exabgp. (Fri, 28 Dec 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
Extra info received and filed, but not forwarded. (Fri, 28 Dec 2012 08:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 687134-quiet@bugs.debian.org (full text, mbox):

From: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
To: Christian PERRIER <bubulle@debian.org>
Cc: <exabgp@packages.debian.org>, <debian-i18n@lists.debian.org>, <687134-quiet@bugs.debian.org>
Subject: Re: Intent to NMU exabgp to fix pending po-debconf l10n bugs (indeed debconf abuse)
Date: Fri, 28 Dec 2012 09:24:24 +0100
Hello Christian,

I perfectly understand this, no offense.
The point is that I can't upload to incoming atm, not being a DM or NM.
An updated version of ExaBGP is here: 
http://mentors.debian.net/package/exabgp

My usual sponsor isn't replying at the moment, I guess he's on holliday 
or something similar.
Thus, if you want to solve these bugs, the best to avoid loosing my 
already done work would be to upload that package and sponsor it for me 
this time :)

Best regards,

Henry-Nicolas Tourneur

On 28.12.2012 07:18, Christian PERRIER wrote:
> Dear Debian maintainer,
>
> The exabgp Debian package, which you are the maintainer of, has
> pending bug report(s) which include translation updates or fixes
> for po-debconf, namely bug number 687134 (and maybe other similar 
> bugs).
>
> This bug is not an l10n bug per se, but, being a debconf abuse (and a
> very clear) one, it affects l10n.
>
> So, sorry for this, but the radar beeped at your package and here am 
> I
> with an NMU intent...:-)
>
> I have the intention, as part of a more general action of the Debian
> i18n Task Force to build and possibly upload a non-maintainer upload
> for exabgp in order to fix this.
>
> In short, by removing the debconf use and move information to a newly
> created NEWS.Debian file.
>
> Of course, an upload made by you would even be better...:-)
>
> Such changes are always harmless, which explains why I safely 
> consider
> building NMUs for such issues even though they're obviously non 
> critical.
>
> The schedule for the NMU (in case it happens, that is if you agree 
> with it
> or if I don't receive any answer in 2 days) is roughly the following:
>
>  Friday, December 28, 2012   : send this notice
>  Tuesday, January 01, 2013       : post a NMU announcement to
> debian-i18n with you
>                  (maintainer) CC'ed
>                  this can happen earlier if the maintainer agrees
>                  In such case, the deadlines below will also
>                  happen earlier
>  Wednesday, January 09, 2013       : (midnight) deadline for
> receiving translation updates
>  Thursday, January 10, 2013       : build the package and upload it
> to DELAYED/7-day
>                  send the NMU patch to the BTS
>  Thursday, January 17, 2013       : NMU reaches incoming
>
> If you intent to upload yourself, please notify me so that I 
> interrupt
> the process on my side. Please also don't upload without a discussion
> with me. Some translators might send a few new translations and I can 
> handle
> a round of translation updates for you. Really, don't upload 
> silently...:-)
>
> In case I upload an NMU, I will subscribe to the Package Tracking 
> System for
> exabgp and follow its life for 60 days after my NMU in order to fix
> any issue potentially introduced by my upload.
>
> Let me know, as soon as possible, if you have any kind of objection 
> to this
> process.
>
> If you'd rather do the fix yourself, I will of course leave the 
> package
> alone. Same if you have reasons not to do the update now.




Information stored :
Bug#687134; Package exabgp. (Fri, 28 Dec 2012 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 28 Dec 2012 16:15:07 GMT) Full text and rfc822 format available.

Message #20 received at 687134-quiet@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
Cc: exabgp@packages.debian.org, debian-i18n@lists.debian.org, 687134-quiet@bugs.debian.org
Subject: Re: Intent to NMU exabgp to fix pending po-debconf l10n bugs (indeed debconf abuse)
Date: Fri, 28 Dec 2012 17:14:20 +0100
[Message part 1 (text/plain, inline)]
Quoting Henry-Nicolas Tourneur (henry.nicolas@tourneur.be):
> Hello Christian,
> 
> I perfectly understand this, no offense.
> The point is that I can't upload to incoming atm, not being a DM or NM.
> An updated version of ExaBGP is here:
> http://mentors.debian.net/package/exabgp
> 
> My usual sponsor isn't replying at the moment, I guess he's on
> holliday or something similar.
> Thus, if you want to solve these bugs, the best to avoid loosing my
> already done work would be to upload that package and sponsor it for
> me this time :)

Bonjour Henry-Nicolas,

THanks for your quick answer.

I would be fine doing the upload, however, I might want you to make a
few cosmetic changes:

exabgp (3.0.11-1) unstable; urgency=low
  
  * New upstream release
  * Closes: #687134 (debconf abuse)

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Mon, 21 Nov 2012 18:19:00 +0000


The changelog entry is a bit scarce. You want to explain what you did
to drop the debconf abuse. I'd also expect that the text you
previously had in the debconf template would go in a NEWS.Debian file
(as I explained in the bug report about debconf abuse, warning package
users is a good idea....but that shouldn't be done with a debconf
note, but a NEWS.Debian entry would be fine.

Also, you want to close the bug report with the Japanese translation,
as the text to translate disappears in this issue.

With these changes, I'll be happy to upload your new package.


[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#687134; Package exabgp. (Mon, 07 Jan 2013 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Henry-Nicolas Tourneur" <henry.nicolas@tourneur.be>:
Extra info received and filed, but not forwarded. (Mon, 07 Jan 2013 23:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 687134-quiet@bugs.debian.org (full text, mbox):

From: "Henry-Nicolas Tourneur" <henry.nicolas@tourneur.be>
To: Christian PERRIER <bubulle@debian.org>
Cc: exabgp@packages.debian.org, debian-i18n@lists.debian.org, 687134-quiet@bugs.debian.org
Subject: Re: Intent to NMU exabgp to fix pending po-debconf l10n bugs (indeed debconf abuse)
Date: Tue, 8 Jan 2013 00:31:21 +0100
Le vendredi 28 décembre 2012 17:14:20, Christian PERRIER a écrit :

> 
> The changelog entry is a bit scarce. You want to explain what you did
> to drop the debconf abuse. I'd also expect that the text you
> previously had in the debconf template would go in a NEWS.Debian file
> (as I explained in the bug report about debconf abuse, warning package
> users is a good idea....but that shouldn't be done with a debconf
> note, but a NEWS.Debian entry would be fine.
> 
> Also, you want to close the bug report with the Japanese translation,
> as the text to translate disappears in this issue.
> 
> With these changes, I'll be happy to upload your new package.

Hi Christian,

All the changes have been done and a new version is now on mentors.d.n.

Thank for all the work done :)

Best regards,

Henry-Nicolas Tourneur



Reply sent to Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
You have taken responsibility. (Tue, 08 Jan 2013 07:36:03 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Tue, 08 Jan 2013 07:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 687134-close@bugs.debian.org (full text, mbox):

From: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
To: 687134-close@bugs.debian.org
Subject: Bug#687134: fixed in exabgp 3.1.1-1
Date: Tue, 08 Jan 2013 07:32:30 +0000
Source: exabgp
Source-Version: 3.1.1-1

We believe that the bug you reported is fixed in the latest version of
exabgp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687134@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Henry-Nicolas Tourneur <henry.nicolas@tourneur.be> (supplier of updated exabgp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Jan 2013 11:42:00 +0000
Source: exabgp
Binary: exabgp
Architecture: source all
Version: 3.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
Changed-By: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
Description: 
 exabgp     - BGP route injector
Closes: 687134 689533 693338 697178
Changes: 
 exabgp (3.1.1-1) unstable; urgency=low
 .
   * New upstream release
   * Closes: #687134 debconf abuse, notice of software behavior take places under
     NEWS.Debian, not in a debconf screen, information moved accordingly.
   * Closes: #693338 Japanese translation removed since debconf template is out.
   * Closes: #697178 Russian translation removed since debconf template is out.
   * Closes: #689533 UCF-based conf added.
     No more manual changes to exabgp.env, thanks to Federico Ceratto.
Checksums-Sha1: 
 045769a7d88b0c0ae26cd32561c042bea25f6c89 1672 exabgp_3.1.1-1.dsc
 157c7394ac9b5170ecc4f4609d1473ada9131cff 335407 exabgp_3.1.1.orig.tar.gz
 a0fddd5458378c1bf3c10dd2f5c060d1347741ed 20 exabgp_3.1.1-1.diff.gz
 978a01899b43b17ad862e9773d8105ef056fc43c 141352 exabgp_3.1.1-1_all.deb
Checksums-Sha256: 
 040d6ef46298410f6e90bad7a88e7a7f5d725a73f16ba5d5c1a1204f7ae8175f 1672 exabgp_3.1.1-1.dsc
 dde1eb503df9d4e9f96d5dfd83ab53cd95416fdd68c66288e045e6d118029911 335407 exabgp_3.1.1.orig.tar.gz
 f61f27bd17de546264aa58f40f3aafaac7021e0ef69c17f6b1b4cd7664a037ec 20 exabgp_3.1.1-1.diff.gz
 95f60d512fba654cff05d3854c58ed2b66b6c3777556aea29c5df613cf05799a 141352 exabgp_3.1.1-1_all.deb
Files: 
 5e5482868ea81e8c19d9bfc61ab0be55 1672 net optional exabgp_3.1.1-1.dsc
 f336bd79df4e0857ed9d9c00ca94516c 335407 net optional exabgp_3.1.1.orig.tar.gz
 4a4dd3598707603b3f76a2378a4504aa 20 net optional exabgp_3.1.1-1.diff.gz
 02313ba8accf4a1c51828e34a357fc15 141352 net optional exabgp_3.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUOvKmYcvcCxNbiWoAQI3iQ/8C9H+ULvy5dvMR89P0rS4Qi6O58atpIOJ
6mzTRKUHRNLrEFJSUc7IlZ6XrxrfHkx3d0/DurXUtb6v6ZD3gn80SrAcS1IEn9ev
wdcyzfnie/Qv4mxn44/7Wb6PfdGzx7TgKT/6Bd5pfgauWW7pAam4hVzyi0za56ec
641Ayvi0tP4DRTHKj4po8Dzkm87dgf35ZSzNXvTKVopfsAkTD/OMu2cWB75wAgWA
aTv2od3uen99vgacB2h1ETFBEuFfyvhTJt9syjz8GHPGi2Hp5i1j5//b3xI4XkcK
Qp/ghBpwID1S2wtHBIoywr0kReoGi3NFzHVu50xuQiNb469J/MZjcomCCfzpIg4h
CIV57Lnc3if/wziy516aKk+92hrm4fbEAmLO2pbvJc7wKaS6GPI8c61qQQrhc+gJ
UExc0xymw/OBRNFXJfkRWfE8AwNrrYUaP6LwHBlZQi32/HlaciquZjwS+pDzLqRO
wWlVZHxL+JEcgvcLsqQL8MuZdZR4qEW+wuEAJ+uhjmMdbwPwDngiCiSJWFpGK32Q
0P0+lG+vAgDXG4VFM7Vm2KrkG5AH7rn7Zf6K3j7czvn0daYjLucxPukUmbpbld5Y
8YLavWH6/qpPY3OOArCig7kqV9i78g3nf3yVMdKoCMiKAL0ksAlduPs6WytUJJty
+ju0rgo6Mh0=
=7OAD
-----END PGP SIGNATURE-----




Information stored :
Bug#687134; Package exabgp. (Tue, 08 Jan 2013 07:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 08 Jan 2013 07:42:05 GMT) Full text and rfc822 format available.

Message #35 received at 687134-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
Cc: exabgp@packages.debian.org, debian-i18n@lists.debian.org, 687134-quiet@bugs.debian.org
Subject: Re: Intent to NMU exabgp to fix pending po-debconf l10n bugs (indeed debconf abuse)
Date: Tue, 08 Jan 2013 08:29:25 +0100
Le 08/01/2013 00:31, Henry-Nicolas Tourneur a écrit :
> Le vendredi 28 décembre 2012 17:14:20, Christian PERRIER a écrit :
>
>>
>> The changelog entry is a bit scarce. You want to explain what you did
>> to drop the debconf abuse. I'd also expect that the text you
>> previously had in the debconf template would go in a NEWS.Debian file
>> (as I explained in the bug report about debconf abuse, warning package
>> users is a good idea....but that shouldn't be done with a debconf
>> note, but a NEWS.Debian entry would be fine.
>>
>> Also, you want to close the bug report with the Japanese translation,
>> as the text to translate disappears in this issue.
>>
>> With these changes, I'll be happy to upload your new package.
>
> Hi Christian,
>
> All the changes have been done and a new version is now on mentors.d.n.

Upload is in progress.

My last suggesiton would be having a look at the last lintian warnings : 
"maintainer-script-without-set-e"....but that can be for a next release 
of the package.






Information stored :
Bug#687134; Package exabgp. (Tue, 08 Jan 2013 08:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
Extra info received and filed, but not forwarded. (Tue, 08 Jan 2013 08:09:06 GMT) Full text and rfc822 format available.

Message #40 received at 687134-quiet@bugs.debian.org (full text, mbox):

From: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
To: Christian Perrier <bubulle@debian.org>
Cc: <exabgp@packages.debian.org>, <debian-i18n@lists.debian.org>, <687134-quiet@bugs.debian.org>
Subject: Re: Intent to NMU exabgp to fix pending po-debconf l10n bugs (indeed debconf abuse)
Date: Tue, 08 Jan 2013 09:07:43 +0100
On 08.01.2013 08:29, Christian Perrier wrote:
>
> Upload is in progress.
>
> My last suggesiton would be having a look at the last lintian
> warnings : "maintainer-script-without-set-e"....but that can be for a
> next release of the package.

Sure, that'll be corrected for sure.

And thanks a lot for all your help and support, much appreciated.

Best regards,
Bien à toi,

Henry-Nicolas Tourneur



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:10:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:13:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.